import 'package:equatable/equatable.dart';

class DocumentCapabilities extends Equatable {
  final bool canEdit;
  final bool canAnnotate;
  final bool isPdf;

  const DocumentCapabilities({
    required this.canEdit,
    required this.canAnnotate,
    required this.isPdf,
  });

  @override
  List<Object?> get props => [canEdit, canAnnotate, isPdf];

  factory DocumentCapabilities.fromJson(Map<String, dynamic> json) {
    return DocumentCapabilities(
      canEdit: json['canEdit'],
      canAnnotate: json['canAnnotate'],
      isPdf: json['isPdf'],
    );
  }
}
